//main.cpp
#include "DxLib.h"
#include "struct.h"
#include "graph.h"
#include "player.h"
#include "define.h"

int key_update(int*);
int every_process();
int check_shift(int,int);


int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int)
{
	ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen(DX_SCREEN_BACK);
	int key[256],board;
	board = LoadGraph("摜/board.png");
	ch_t player;
	player.x = 160,0;
	player.y = 300.0;
	player.img = LoadGraph("摜/LN^01.png");
	while(every_process()==0)
	{
		graph_board(&board);
		graph_ch(&player);
		key_update(key);
		if(key[KEY_INPUT_RSHIFT] > 0||key[KEY_INPUT_LSHIFT] > 0)
			slow_move(&player,key);		
		else
			quick_move(&player,key);


	}

	DxLib_End();
	return 0;
}

int every_process()
{
	ScreenFlip();
	ProcessMessage();
	ClearDrawScreen();
	return 0;
}

int key_update(int key[])
{
	char all_key[256];
	GetHitKeyStateAll(all_key);
	int i;
	for(i=0;i<256;i++)
	{
		if(all_key[i] != 0)
			key[i]++;
		else
			key[i] = 0;
	}
	return 0;
}

