#include "DxLib.h"
#include "player.h"
#include "struct.h"
#include <math.h>

int slow_move(ch_t *player,int *key)
{
	if(key[KEY_INPUT_UP]>0 && key[KEY_INPUT_RIGHT]>0)
	{	
		player->y = player->y-sqrt(2.0);
		player->x = player->x+sqrt(2.0);
	}
	else if(key[KEY_INPUT_UP]>0 && key[KEY_INPUT_LEFT]>0)
	{
		player->y = player->y-sqrt(2.0);
		player->x = player->x-sqrt(2.0);
	}
	else if(key[KEY_INPUT_DOWN]>0 && key[KEY_INPUT_RIGHT]>0)
	{
		player->y = player->y+sqrt(2.0);
		player->x = player->x+sqrt(2.0);
	}
	else if(key[KEY_INPUT_DOWN]>0 && key[KEY_INPUT_LEFT]>0)
	{
		player->y = player->y+sqrt(2.0);
		player->x = player->x-sqrt(2.0);
	}
	else if(key[KEY_INPUT_UP]>0)
		player->y = player->y-1;

	else if (key[KEY_INPUT_DOWN]>0)
		player->y = player->y+1;

	else if(key[KEY_INPUT_RIGHT]>0)
		player->x = player->x+1;

	else if(key[KEY_INPUT_LEFT]>0)
		player->x = player->x-1;

	return 0;

}


int quick_move(ch_t *player,int *key)
{
	
	if(key[KEY_INPUT_UP]>0 && key[KEY_INPUT_RIGHT]>0)
	{	
		player->y = player->y-3 * sqrt(2.0);
		player->x = player->x+3 * sqrt(2.0);
	}
	else if(key[KEY_INPUT_UP]>0 && key[KEY_INPUT_LEFT]>0)
	{
		player->y = player->y-3 * sqrt(2.0);
		player->x = player->x-3 * sqrt(2.0);
	}
	else if(key[KEY_INPUT_DOWN]>0 && key[KEY_INPUT_RIGHT]>0)
	{
		player->y = player->y+3 * sqrt(2.0);
		player->x = player->x+3 * sqrt(2.0);
	}
	else if(key[KEY_INPUT_DOWN]>0 && key[KEY_INPUT_LEFT]>0)
	{
		player->y = player->y+3 * sqrt(2.0);
		player->x = player->x-3 * sqrt(2.0);
	}
	else if(key[KEY_INPUT_UP]>0)
		player->y = player->y-3;

	else if (key[KEY_INPUT_DOWN]>0)
		player->y = player->y+3;

	else if(key[KEY_INPUT_RIGHT]>0)
		player->x = player->x+3;

	else if(key[KEY_INPUT_LEFT]>0)
		player->x = player->x-3;

	return 0;

}

